Subject: pkg/10381: vat fails to build gsm dependency
To: None <>
From: None <>
List: netbsd-bugs
Date: 06/16/2000 14:47:14
>Number:         10381
>Category:       pkg
>Synopsis:       vat fails to build gsm dependency
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Jun 16 14:48:00 PDT 2000
>Originator:     Michael Eriksson
>Release:        pkgsrc from today (June 16, 2000)
Ericsson Radio Systems AB
System: NetBSD kafka 1.4Z NetBSD 1.4Z (KAFKA) #0: Wed May 31 23:43:12 CEST 2000 mer@kafka:/usr/src/sys/arch/i386/compile/KAFKA i386


When trying to build vat (in pkgsrc/audio/mbone/vat), it fails if the
gsm dependency isn't already installed.


Try to build vat without the gsm package already installed:

===> Validating dependencies for vat-4.0b2
make: don't know how to make check-depends. Stop
*** Error code 2

===> vat-4.0b2 cannot build necessary dependencies.
*** Error code 1

*** Error code 1



Index: Makefile
RCS file: /cvsroot/pkgsrc/mbone/vat/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- Makefile	2000/04/07 17:20:40	1.29
+++ Makefile	2000/06/16 21:03:21
@@ -12,7 +12,7 @@
 BUILD_DEPENDS+=		${LOCALBASE}/include/gsm/private.h:../../audio/gsm
 DEPENDS+=		tk-8.0.5:../../x11/tk80
-DEPENDS+=		gsm-1.0.10:${GSM_DIR}
+DEPENDS+=		gsm-1.0.10:../../audio/gsm
 NOT_FOR_PLATFORM=	*-*-alpha	# compiler error